/** @component modal-header */
import { ModalRef } from './modal-ref';
export declare class ModalHeaderComponent {
    private modalRef;
    /** @prop Optional css class string | '' */
    class: string;
    /** @prop ModalHeader label text | '' */
    headerLabel: string;
    /** @prop  Modal message | '' */
    message: string;
    /** @prop show/hide close button | true */
    showCloseButton: boolean;
    readonly className: string;
    handleKeydown(_: KeyboardEvent): void;
    constructor(modalRef: ModalRef);
    close(): void;
}
